﻿html {
    font-size: 16px;
}

.main-header {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 24px;
    padding: 24px;
}

.main-header-logo {
    display: block;
    max-height: 64px;
    height: auto;
}

.panel {
    margin-top: 8px;
    margin-left: auto;
    margin-right: auto;
    width: 370px;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    padding: 24px;
    border: 1px solid #e6e6e6;
    border-radius: 8px;
    color: #222222;
    font-size: 14px;
}

.auth-form {
    margin-top: 24px;
}

.auth-form-heading {
    margin-top: 8px;
    margin-bottom: 24px;
    line-height: 1;
    font-weight: 600;
    font-size: 16px;
    text-align: center;
}

.auth-form-group {
    position: relative;
    margin-bottom: 8px;
}

.auth-form-label {
    position: absolute;
    top: 0;
    left: 12px;
    transform: translateY(22px);
    line-height: 16px;
    font-weight: 500;
    font-size: 14px;
    color: #828282;
    transition: transform 75ms ease;
    z-index: 10;
}

.auth-form-control:focus + .auth-form-label,
.auth-form-control:not(:placeholder-shown) + .auth-form-label {
    transform: translateY(12px);
}

.auth-form-control {
    height: calc(1rem + 2.5rem + 2px);
    padding: 1.75rem 0.75rem 0.75rem;
    line-height: 1rem;
}

.auth-form-submit {
    margin-bottom: 0;
    line-height: 34px;
    background: #1facf7;
    border-color: #1facf7;
    font-weight: 500;
    font-size: 14px;
}

.register-auth-form .auth-form-submit {
    margin-top: 16px;
    margin-bottom: 24px;
}

p.auth-form-hint {
    margin-bottom: 0;
}

.auth-form-error {
    margin-bottom: 8px;
    padding: 8px;
    background: #fff3d0;
    border-radius: 4px;
    font-size: 12px;
    font-weight: 500;
    color: #222222;
}

.login-auth-form .auth-form-submit {
    margin-top: 8px;
}

.login-form-nav {
    width: 370px;
    max-width: 100%;
    margin: 8px auto;
}

.login-form-nav .btn {
    padding-top: 14px;
    padding-bottom: 14px;
    color: #222222;
    border-color: #e6e6e6;
}

.login-form-nav .btn:hover,
.login-form-nav .btn:focus,
.login-form-nav .btn:active {
    color: #222222 !important;
    border-color: #e6e6e6 !important;
    background-color: #ffffff !important;
}

.login-page-hint {
    margin-top: 8px;
    margin-left: auto;
    margin-right: auto;
    width: 370px;
    max-width: 100%;
    display: flex;
    flex-direction: row;
    font-size: 11px;
}

.email-confirmation-image-container {
    margin-bottom: 24px;
    width: 96px;
    align-self: center;
}

.email-confirmation-image {
    display: block;
    max-width: 100%;
    height: auto;
}

.manage-page {
    margin-top: 24px;
}

.manage-page .auth-form {
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
    width: 100%;
}

.manage-page .nav-pills .nav-link.active,
.manage-page .nav-pills .show > .nav-link {
    background-color: #1facf7;
}

.manage-page .nav-link,
.manage-page .btn-link {
    color: #1facf7;
}

.manage-page #email-verification {
    margin-top: 8px;
    margin-left: -12px;
}
